Subject: bug#24866: AucTeX not working on Emacs 25.1.1 for Mac

From: Mosè Giordano <[email-masked]>
Date: Sat, 19 Nov 2016 22:11:15 +0100

Hi Lars,

2016-11-19 20:57 GMT+01:00 Lars Eriksson <[email-masked]>:
> Dear Mosè,
>
> Thank you for caring about this, and pointing me to git bisect. Sorry for
> taking so long time to respond but I had to make a business trip to China
> and did not have access to this computer for testing.

Don't worry, thanks for the help! ;-)

> I am now back and I
> have now run a git bisect (for the first time in my life) and received the
> following, results.
> I have not analyzed what the difference is between the versions but it its
> clear that it touches the preview… I do not know why it causes the error on
> Mac...
>
> Best,
> Lars
>
>
> ~/Src/auctex $ git bisect good
> 3fdeb4b8de31702d4c58b063cd9536284bb27ff7 is the first bad commit
> commit 3fdeb4b8de31702d4c58b063cd9536284bb27ff7
> Author: Tassilo Horn <[email-masked]>
> Date:   Fri Aug 7 17:54:58 2015 +0200
>
>     Setup preview differently; fixes bug#21188
>
>
>
>     * latex.el (TeX-latex-mode): Call `LaTeX-preview-setup'
>     unconditionally instead of calling it from `LaTeX-mode-hook' which
>     breaks things if that hook is customized (bug#21188).
>
>
>
>     * preview.el.in: Don't add `LaTeX-preview-setup' to
>     `LaTeX-mode-hook'.

This was easy to guess, since it's the commit which introduced the
function call, but a confirmation is useful anyway.

@Tassilo, could you please have a look at this?  I'm a bit confused by
this problem, I can't see what's the culprit and why should be
operating system-dependent :-/

Bye,
Mosè